<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__capsense__macros__touch" kind="group">
    <compoundname>group_capsense_macros_touch</compoundname>
    <title>Touch-related Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__capsense__macros__touch_1ga72bcd596f6407f2c35cfe8d92a2a1f6d" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_POSITION_NONE</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>No touch detected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="464" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="464" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1ga00e138168b824ee9c4ecf2fa10e648a0" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_POSITION_ONE</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>One finger touch detected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="466" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="466" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1gaa448ccb1551eb0f38f12b1554c5287c4" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_POSITION_TWO</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Two finger touches detected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="468" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="468" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1ga84fe184256d5a95975dbdd25b7388f63" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_POSITION_THREE</name>
        <initializer>(0x03u)</initializer>
        <briefdescription>
<para>Three finger touches detected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="470" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="470" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1gaeda92492a42b009327153c1751a030c3" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_POSITION_MULTIPLE</name>
        <initializer>(0xFFu)</initializer>
        <briefdescription>
<para>Multiple touches detected that exceed number of supported touches. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="472" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="472" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1ga4841683021756c1260950771ed54c841" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_MAX_CENTROIDS</name>
        <initializer>(3u)</initializer>
        <briefdescription>
<para>Maximum possible centroid number. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="474" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="474" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1ga3858658519030890061b252946477cd8" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_CSX_TOUCHPAD_MAX_PEAKS</name>
        <initializer>(5u)</initializer>
        <briefdescription>
<para>Maximum number of peaks in CSX Touchpad. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="476" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="476" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1ga3d55593bb10be928a44a179df5338cf1" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_CSX_TOUCHPAD_MAX_AGE</name>
        <initializer>(0xFFu)</initializer>
        <briefdescription>
<para>Maximum age of a touch. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="478" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="478" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1gaec66ce283c819f7aaa44cf3886578e81" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_CSX_TOUCHPAD_ID_UNDEFINED</name>
        <initializer>(0x80u)</initializer>
        <briefdescription>
<para>Undefined ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="480" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="480" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1gabf7e655ae8cf71bb01a138f55718007c" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_CSX_TOUCHPAD_ID_ABSENT</name>
        <initializer>(0x40u)</initializer>
        <briefdescription>
<para>Non-assigned ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="482" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="482" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1ga41f9db75b066c5d862d822bea199fe2f" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_CSX_TOUCHPAD_ID_ON_FAIL</name>
        <initializer>(0x20u)</initializer>
        <briefdescription>
<para>Touch below threshold ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="484" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="484" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1gaf79c640a09ef3915083d857011d9c70c" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_CSX_TOUCHPAD_ID_MIN</name>
        <initializer>(0u)</initializer>
        <briefdescription>
<para>Minimum ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="486" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="486" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1ga26736659b0a4f78ffb1dce945b232c04" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_CSX_TOUCHPAD_ID_MAX</name>
        <initializer>(7u)</initializer>
        <briefdescription>
<para>Maximum ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="488" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="488" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1gaa7c78d7d49c6c4e4ce668580f8f1a304" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_CSX_TOUCHPAD_ID_MASK</name>
        <initializer>(0x00FFu)</initializer>
        <briefdescription>
<para>ID mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="490" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="490" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1ga0649c5861207fdc959f5dc4b05ecfb97" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_CSX_TOUCHPAD_Z_MASK</name>
        <initializer>(0x00FFu)</initializer>
        <briefdescription>
<para>Touch power mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="492" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="492" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1ga7666446ef2e080e96ad3583bb2a83391" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_CSX_TOUCHPAD_AGE_MASK</name>
        <initializer>(0xFF00u)</initializer>
        <briefdescription>
<para>Age mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="494" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="494" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1gaff1a4c6b9875c4c66cb1922952997f7b" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_CSX_TOUCHPAD_DEBOUNCE_MASK</name>
        <initializer>(0xFF00u)</initializer>
        <briefdescription>
<para>Debounce mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="496" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="496" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1ga357d64c36840893809b9fa325f9ad6d5" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_ADVANCED_CENTROID_NO_TOUCHES</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>No touch detected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="37" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="37" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1ga7178f206572f3066be919024efcd824f" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_ADVANCED_CENTROID_POSITION_ERROR</name>
        <initializer>(0xFFu)</initializer>
        <briefdescription>
<para>An error in touch calculation or number of detected touches is above supported touches. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="39" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="39" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Touch-related macros. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>